" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr and *.tl
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,&,*,+,-,:,<,=,>,?,\\,_,~,/

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-full* *e* *flo-dig* *flo-epsilon*
syn keyword tl_keyword contained *flo-max* *flo-min* *full-args* *gensym-counter*
syn keyword tl_keyword contained *keyword-package* *lib-version* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *pi* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *print-base* *print-flo-digits*
syn keyword tl_keyword contained *print-flo-format* *print-flo-precision* *random-state* *random-warmup*
syn keyword tl_keyword contained *self-path* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *system-package*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* *user-package* +
syn keyword tl_keyword contained - / /= :
syn keyword tl_keyword contained :addr :append :args :atime
syn keyword tl_keyword contained :auto :blksize :blocks :cdigit
syn keyword tl_keyword contained :chars :continue :counter :cspace
syn keyword tl_keyword contained :ctime :cword-char :decline :dev
syn keyword tl_keyword contained :digit :downcase :env :equal-based
syn keyword tl_keyword contained :fd :filter :fini :finish
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hextoint :init
syn keyword tl_keyword contained :ino :instance :into :lfilt
syn keyword tl_keyword contained :lines :list :longest :mandatory
syn keyword tl_keyword contained :maxgap :maxtimes :method :mingap
syn keyword tl_keyword contained :mintimes :mode :mtime :name
syn keyword tl_keyword contained :named :next-spec :nlink :nothrow
syn keyword tl_keyword contained :postinit :prio :rdev :real-time
syn keyword tl_keyword contained :reflect :repeat-spec :resolve :rfilt
syn keyword tl_keyword contained :shortest :size :space :static
syn keyword tl_keyword contained :string :symacro :times :to_html
syn keyword tl_keyword contained :tobase64 :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :upcase :var :vars
syn keyword tl_keyword contained :weak-keys :weak-vals :whole :word-char
syn keyword tl_keyword contained :wrap < <= =
syn keyword tl_keyword contained > >= abort abs
syn keyword tl_keyword contained abs-path-p acons acons-new aconsql-new
syn keyword tl_keyword contained acos ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alist-nremove alist-remove all
syn keyword tl_keyword contained and andf ap apf
syn keyword tl_keyword contained append append* append-each append-each*
syn keyword tl_keyword contained apply aret ash asin
syn keyword tl_keyword contained assoc assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atom base64-decode
syn keyword tl_keyword contained base64-encode bignump bindable bit
syn keyword tl_keyword contained block block* boundp break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained butlast caaaaar caaaadr caaaar
syn keyword tl_keyword contained caaadar caaaddr caaadr caaar
syn keyword tl_keyword contained caadaar caadadr caadar caaddar
syn keyword tl_keyword contained caadddr caaddr caadr caar
syn keyword tl_keyword contained cadaaar cadaadr cadaar cadadar
syn keyword tl_keyword contained cadaddr cadadr cadar caddaar
syn keyword tl_keyword contained caddadr caddar cadddar caddddr
syn keyword tl_keyword contained cadddr caddr cadr call
syn keyword tl_keyword contained call-clobber-expander call-delete-expander call-finalizers call-super-fun
syn keyword tl_keyword contained call-super-method call-update-expander callf car
syn keyword tl_keyword contained caseq caseql casequal cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catenated-stream-p
syn keyword tl_keyword contained catenated-stream-push cbaud cbaudex cdaaaar
syn keyword tl_keyword contained cdaaadr cdaaar cdaadar cdaaddr
syn keyword tl_keyword contained cdaadr cdaar cdadaar cdadadr
syn keyword tl_keyword contained cdadar cdaddar cdadddr cdaddr
syn keyword tl_keyword contained cdadr cdar cddaaar cddaadr
syn keyword tl_keyword contained cddaar cddadar cddaddr cddadr
syn keyword tl_keyword contained cddar cdddaar cdddadr cdddar
syn keyword tl_keyword contained cddddar cdddddr cddddr cdddr
syn keyword tl_keyword contained cddr cdr ceil chain
syn keyword tl_keyword contained chand chdir chmod chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clear-error
syn keyword tl_keyword contained clear-struct clocal close-stream closelog
syn keyword tl_keyword contained cmp-str cmspar collect-each collect-each*
syn keyword tl_keyword contained comb compl-span-str cond conda
syn keyword tl_keyword contained condlet cons conses conses*
syn keyword tl_keyword contained consp constantp copy copy-alist
syn keyword tl_keyword contained copy-cons copy-hash copy-list copy-str
syn keyword tl_keyword contained copy-struct copy-vec cos count-if
syn keyword tl_keyword contained countq countql countqual cr0
syn keyword tl_keyword contained cr1 cr2 cr3 crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 csize
syn keyword tl_keyword contained cstopb cum-norm-dist daemon dec
syn keyword tl_keyword contained defex define-accessor define-modify-macro define-place-macro
syn keyword tl_keyword contained defmacro defmeth defparm defparml
syn keyword tl_keyword contained defplace defstruct defsymacro defun
syn keyword tl_keyword contained defvar defvarl del delay
syn keyword tl_keyword contained delete-package display-width do dohash
syn keyword tl_keyword contained dotimes downcase-str drop drop-until
syn keyword tl_keyword contained drop-while dup dupfd dwim
syn keyword tl_keyword contained each each* echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt eighth empty endgrent
syn keyword tl_keyword contained endpwent ensure-dir env env-fbind
syn keyword tl_keyword contained env-hash env-vbind eq eql
syn keyword tl_keyword contained equal errno error eval
syn keyword tl_keyword contained evenp exception-subtype-p exec exit
syn keyword tl_keyword contained exit* exp expand-left expand-right
syn keyword tl_keyword contained expt exptmod extproc false
syn keyword tl_keyword contained fboundp ff0 ff1 ffdly
syn keyword tl_keyword contained fifth fileno filter-equal filter-string-tree
syn keyword tl_keyword contained finalize find find-frame find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-epsilon flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-str floatp floor
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmt
syn keyword tl_keyword contained fnm-casefold fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force fork format fourth
syn keyword tl_keyword contained from fstat ftw ftw-actionretval
syn keyword tl_keyword contained ftw-chdir ftw-continue ftw-d ftw-depth
syn keyword tl_keyword contained ftw-dnr ftw-dp ftw-f ftw-mount
syn keyword tl_keyword contained ftw-ns ftw-phys ftw-skip-siblings ftw-skip-subtree
syn keyword tl_keyword contained ftw-sl ftw-sln ftw-stop fun
syn keyword tl_keyword contained func-get-env func-get-form func-get-name func-set-env
syn keyword tl_keyword contained functionp gcd gen generate
syn keyword tl_keyword contained gensym gequal get-byte get-char
syn keyword tl_keyword contained get-clobber-expander get-delete-expander get-error get-error-str
syn keyword tl_keyword contained get-frames get-hash-userdata get-indent get-indent-mode
syn keyword tl_keyword contained get-line get-lines get-list-from-stream get-sig-handler
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getpid getppid
syn keyword tl_keyword contained getpwent getpwnam getpwuid getresgid
syn keyword tl_keyword contained getresuid getuid ginterate giterate
syn keyword tl_keyword contained glob glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check greater group-by group-reduce
syn keyword tl_keyword contained gun handle handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-pairs
syn keyword tl_keyword contained hash-isec hash-keys hash-list hash-next
syn keyword tl_keyword contained hash-pairs hash-proper-subset hash-revget hash-subset
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-values
syn keyword tl_keyword contained hashp have html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl iapply icanon
syn keyword tl_keyword contained icrnl identity ido iexten
syn keyword tl_keyword contained if ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignpar imaxbel in in6addr-any
syn keyword tl_keyword contained in6addr-loopback inaddr-any inaddr-loopback inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-off
syn keyword tl_keyword contained inhash inlcr inpck int-chr
syn keyword tl_keyword contained int-flo int-str integerp intern
syn keyword tl_keyword contained interp-fun-p interpose invoke-catch ip
syn keyword tl_keyword contained ipf iread isig isqrt
syn keyword tl_keyword contained istrip itimer-prov itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon juxt keep-if keep-if*
syn keyword tl_keyword contained keyword-package keywordp kill labels
syn keyword tl_keyword contained lambda last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lcm lcons lcons-fun lconsp
syn keyword tl_keyword contained ldiff length length-list length-str
syn keyword tl_keyword contained length-str-< length-str-<= length-str-> length-str->=
syn keyword tl_keyword contained length-vec lequal less let
syn keyword tl_keyword contained let* lexical-fun-p lexical-lisp1-binding lexical-var-p
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-str list-vec list-vector
syn keyword tl_keyword contained listp lnew load log
syn keyword tl_keyword contained log-alert log-auth log-authpriv log-cons
syn keyword tl_keyword contained log-crit log-daemon log-debug log-emerg
syn keyword tl_keyword contained log-err log-info log-ndelay log-notice
syn keyword tl_keyword contained log-nowait log-odelay log-perror log-pid
syn keyword tl_keyword contained log-user log-warning log10 log2
syn keyword tl_keyword contained logand logior lognot logtest
syn keyword tl_keyword contained logtrunc logxor lset lstat
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macrolet major
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-output-stream make-struct make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie makedev
syn keyword tl_keyword contained makunbound mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained mask match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp member member-if
syn keyword tl_keyword contained memq memql memqual merge
syn keyword tl_keyword contained meth method min minor
syn keyword tl_keyword contained minusp mkdir mknod mkstring
syn keyword tl_keyword contained mlet mmakunbound mod multi
syn keyword tl_keyword contained multi-sort n-choose-k n-perm-k nconc
syn keyword tl_keyword contained new nexpand-left nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained noflsh none not notf
syn keyword tl_keyword contained nreconc nreverse nthcdr null
syn keyword tl_keyword contained nullify num-chr num-str numberp
syn keyword tl_keyword contained oand obtain obtain* obtain*-block
syn keyword tl_keyword contained obtain-block ocrnl oddp ofdel
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-tail openlog opip opost
syn keyword tl_keyword contained or orf package-alist package-name
syn keyword tl_keyword contained package-symbols packagep pad parenb
syn keyword tl_keyword contained parmrk parodd partition partition*
syn keyword tl_keyword contained partition-by path-blkdev-p path-chrdev-p path-dir-p
syn keyword tl_keyword contained path-executable-to-me-p path-exists-p path-file-p path-mine-p
syn keyword tl_keyword contained path-my-group-p path-newer path-older path-pipe-p
syn keyword tl_keyword contained path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p path-same-object
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pendin
syn keyword tl_keyword contained perm pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plusp poll poll-err
syn keyword tl_keyword contained poll-in poll-nval poll-out poll-pri
syn keyword tl_keyword contained poll-rdband poll-rdhup poll-wrband pop
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prof
syn keyword tl_keyword contained prog1 progn promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp pset push
syn keyword tl_keyword contained pushhash pushnew put-byte put-char
syn keyword tl_keyword contained put-line put-lines put-string put-strings
syn keyword tl_keyword contained pwd qquote qref quote
syn keyword tl_keyword contained raise rand random random-fixnum
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rcomb rcons
syn keyword tl_keyword contained read read-until-match readlink real-time-stream-p
syn keyword tl_keyword contained record-adapter reduce-left reduce-right ref
syn keyword tl_keyword contained refset regex-compile regex-parse regexp
syn keyword tl_keyword contained register-exception-subtypes regsub rehome-sym remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if rlcp
syn keyword tl_keyword contained rlet rmember rmember-if rmemq
syn keyword tl_keyword contained rmemql rmemqual rotate rperm
syn keyword tl_keyword contained rplaca rplacd rpos rpos-if
syn keyword tl_keyword contained rposq rposql rposqual rsearch
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained search search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-stream select
syn keyword tl_keyword contained self-load-path self-path seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-sig-handler setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setlogmask setpwent setresgid
syn keyword tl_keyword contained setresuid setuid seventh sh
syn keyword tl_keyword contained shift shuffle shut-rd shut-rdwr
syn keyword tl_keyword contained shut-wr sig-abrt sig-alrm sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained sin sixth size-vec slot
syn keyword tl_keyword contained slotp slotset sock-accept sock-bind
syn keyword tl_keyword contained sock-cloexec sock-connect sock-dgram sock-family
syn keyword tl_keyword contained sock-listen sock-nonblock sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type some sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p splice split split*
syn keyword tl_keyword contained split-str split-str-set sqrt sssucc
syn keyword tl_keyword contained ssucc stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp string-extend
syn keyword tl_keyword contained string-lt stringp struct-type struct-type-p
syn keyword tl_keyword contained structp sub sub-list sub-str
syn keyword tl_keyword contained sub-vec subtypep succ super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symlink sys:*lisp1*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:apply sys:bad-slot-syntax
syn keyword tl_keyword contained sys:capture-cont sys:cp-origin sys:defmeth sys:do-path-test
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:eval-err sys:expand
syn keyword tl_keyword contained sys:expr sys:fbind sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-fb sys:get-mb sys:get-vb sys:handle-bad-syntax
syn keyword tl_keyword contained sys:if-to-cond sys:in6addr-condensed-text sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:load
syn keyword tl_keyword contained sys:make-struct-type sys:mark-special sys:obtain-impl sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-test sys:path-test-mode sys:pl-expand
syn keyword tl_keyword contained sys:placelet-1 sys:prune-nil-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:reg-expand-nongreedy sys:reg-optimize sys:register-simple-accessor
syn keyword tl_keyword contained sys:rplaca sys:rplacd sys:set-hash-rec-limit sys:set-hash-str-limit
syn keyword tl_keyword contained sys:set-macro-ancestor sys:setq sys:setqf sys:splice
syn keyword tl_keyword contained sys:str-inaddr-net-impl sys:struct-lit sys:sym-clobber-expander sys:sym-delete-expander
syn keyword tl_keyword contained sys:sym-update-expander sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:unquote sys:var sys:with-saved-vars syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly take
syn keyword tl_keyword contained take-until take-while tan tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcsadrain tcsaflush tcsanow tcsendbreak
syn keyword tl_keyword contained tcsetattr tenth test-set-indent-mode tf
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-string-local time-string-utc
syn keyword tl_keyword contained time-struct-local time-struct-utc time-usec to
syn keyword tl_keyword contained tofloat toint tok-str tok-where
syn keyword tl_keyword contained tostop tostring tostringp tprint
syn keyword tl_keyword contained transpose tree-bind tree-case tree-find
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples txr-case
syn keyword tl_keyword contained txr-case-impl txr-if txr-path txr-sym
syn keyword tl_keyword contained txr-version txr-when typecase typeof
syn keyword tl_keyword contained typep umask umeth umethod
syn keyword tl_keyword contained unget-byte unget-char uniq unique
syn keyword tl_keyword contained unless unquote unsetenv until
syn keyword tl_keyword contained until* unwind-protect upcase-str update
syn keyword tl_keyword contained url-decode url-encode use user-package
syn keyword tl_keyword contained usl usleep uslot vdiscard
syn keyword tl_keyword contained vec vec-list vec-push vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vmin
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait weave
syn keyword tl_keyword contained when whenlet where while
syn keyword tl_keyword contained while* whilet width width-check
syn keyword tl_keyword contained window-map window-mappend with-clobber-expander with-delete-expander
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-string-stream with-out-strlist-stream with-resources
syn keyword tl_keyword contained with-slots with-stream with-update-expander wrap
syn keyword tl_keyword contained wrap* xcase yield yield-from
syn keyword tl_keyword contained zap zerop zip
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_dot "\." contained
syn match txr_num "#x[+\-]\?[0-9A-Fa-f]\+"
syn match txr_num "#o[+\-]\?[0-7]\+"
syn match txr_num "#b[+\-]\?[01]\+"
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]*[A-Za-z_!$%&*+\-<=>?\\_~^/#][A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,tl_splice,txr_nested_error
syn region txr_list matchgroup=Delimiter start="#\?H\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_badnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error

let b:current_syntax = "lisp"

set lispwords=ado,ap,append-each,append-each*,aret,block,block*,caseq,caseql,casequal,catch,collect-each,collect-each*,cond,conda,condlet,dec,defex,define-accessor,define-modify-macro,define-place-macro,defmacro,defmeth,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,dotimes,each,each*,flet,flip,for,for*,fun,gen,gun,handle,handler-bind,ido,if,ifa,iflet,ignerr,ip,labels,lambda,lcons,let,let*,load,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,op,placelet,placelet*,pop,pprof,prof,prog1,progn,push,pushnew,ret,return,return-from,rlet,splice,suspend,symacrolet,sys:abscond-from,sys:expr,sys:fbind,sys:l1-val,sys:lbind,sys:lisp1-value,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:unquote,sys:var,sys:with-saved-vars,tb,tc,tree-bind,tree-case,txr-case,txr-case-impl,txr-if,txr-when,typecase,unless,unquote,until,until*,unwind-protect,when,whenlet,while,while*,whilet,with-clobber-expander,with-delete-expander,with-gensyms,with-hash-iter,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,:method,:function,:init,:postinit,:fini
